<?php

/**
 * put gallery header
 */
function putUniteGalleryHeader(){
	
	$args = func_get_args();
	
	if(empty($args))
		UniteFunctionsUG::throwError("You must pass some gallery alias here");
	
	foreach($args as $alias){
		$gallery = new UniteGalleryGallery();
		$gallery->initByAlias($alias);
		HelperUG::putGalleryScripts($gallery);
	}
	
	UniteProviderFunctionsUG::printStyles();
	UniteProviderFunctionsUG::printScripts();
	
}


/**
 * put the gallery html
 */
function putUniteGallery($galleryAlias, $catID=""){
	
	$html = HelperUG::outputGallery($galleryAlias, $catID);
	
	echo $html;
}



if(ConfigCMS::$isAdmin == true){
	require_once GlobalsUG::$pathPlugin . "unitegallery_admin.php";
	require_once GlobalsUG::$pathPlugin ."inc_php/framework/provider/provider_admin.class.php";
	$productAdmin = new UniteProviderAdminUG();
}



?>